Atom feed of this document
 

 Delete Network

Verb URI Description
DELETE /tenants/tenant-id/networks/network-id Destroys the network identified by network-id for the tenant identified by tenant-id.

Normal Response Code(s): 204

Error Response Code(s): BadRequest (400) Unauthorized (401), Forbidden (403), NetworkNotFound (420), NetworkInUse (421)

This operation removes the network specified in the URI. This request will fail as long as there is at least one port on the network with attachments plugged in it. If all ports on the networks are unattached, they will be destroyed together with the network itself.

As for the create operation there is no guarantee that the plugin will have completely removed the network when the call returns. Quantum forwards the request to the plugin, which will then destroy the network.

[Note]Note

This operation cannot be undone.

This operation does not require a request body.

 

Example 4.13. Delete Network Request (XML)

Request:

DELETE /tenants/XYZ/networks/158233b0-ca9a-40b4-8614-54a4a99d47d1.xml                

Response:

No data is returned in the response body.


 

Example 4.14. Delete Network Request (JSON)

Request:

DELETE /tenants/XYZ/networks/158233b0-ca9a-40b4-8614-54a4a99d47d1.json	                

Response:

No data is returned in the response body.